import { IActor, Mediator } from '../actors';
import { FragmentDictionary } from '../fragments';

interface IApplication {

  // the application configuration on startup
  readonly config:any;

  // the mediator for all global actors in the application
  // TODO - this needs 
  readonly mediator:Mediator;

  // parts of the application
  readonly fragments:FragmentDictionary;
}

export { IApplication };